#
# What if we want something other than lines?
#       - scatter plot
#
# David Mathias
# February 2021
#

from random import randint, random
import matplotlib.pyplot as plt


def main():
    # this y_data has a little more randomness 
    x_data = [i for i in range(50)]
    y_data = [20 + i + (randint(-20, 20) * random()) for i in x_data]
    
    # set the figure size
    plt.figure(figsize=(8,6))
    
    # for the fixed version we ned to use this plot call
    lp = plt.scatter(x_data, y_data)
    
    # save and display the plot
    plt.savefig('sample_plot_6.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    