#
# Create a very simple line plot using random data
#
# David Mathias
# February 2021
#

from random import random, randint
import matplotlib.pyplot as plt


def main():
    # generate data at random
    y_data = [i + (randint(-5, 5) * random()) for i in range(50)]
    # y_data = [i**3 for i in range(50)]
    
    # create a line plot
    lp = plt.plot(y_data)
    
    # save to a file and display the plot
    plt.savefig('sample_plot_1.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    