#
# What if we want something other than lines?
#       - bar chart
#
# David Mathias
# February 2021
#

import random
import matplotlib.pyplot as plt
import numpy as np


def main():
    # create the data
    x_data = [i for i in range(6)]
    y_data = [random.randint(20, 100) for _ in range(6)]
    
    # set the figure size
    plt.figure(figsize=(8,6))
    
    # pass the x locations and bar heights
    rects = plt.bar(x_data, y_data)
    
    # save and display plot
    plt.savefig('sample_plot_8.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    